# Ice::UDPEndpointInfo

## Overview

### local class UDPEndpointInfo extends IPEndpointInfo

Provides access to an UDP endpoint information.

#### See Also

Endpoint

## Data Member Index

protocolMajor
  The protocol version supported by the endpoint.
protocolMinor
encodingMajor
  The encoding version supported by the endpoint.
encodingMinor
mcastInterface
  The multicast interface.
mcastTtl
  The multicast time-to-live (or hops).

## Data Members

### byte protocolMajor;

The protocol version supported by the endpoint.

### byte protocolMinor;

### byte encodingMajor;

The encoding version supported by the endpoint.

### byte encodingMinor;

### string mcastInterface;

The multicast interface.

### int mcastTtl;

The multicast time-to-live (or hops).